## org.eclipse.jst.ws.jaxws.dom.runtime.api
Interface DomPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface DomPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `DomFactory`

Nested Class Summary
`static interface` `DomPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static DomPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `IDOM` The meta object id for the '`IDOM`' class.
`static int` `IDOM__WEB_SERVICE_PROJECTS` The feature id for the 'Web Service Projects' containment reference list.
`static int` `IDOM_FEATURE_COUNT` The number of structural features of the 'IDOM' class.
`static int` `IJAVA_WEB_SERVICE_ELEMENT` The meta object id for the '`IJava Web Service Element`' class.
`static int` `IJAVA_WEB_SERVICE_ELEMENT__IMPLEMENTATION` The feature id for the 'Implementation' attribute.
`static int` `IJAVA_WEB_SERVICE_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` `IJAVA_WEB_SERVICE_ELEMENT_FEATURE_COUNT` The number of structural features of the 'IJava Web Service Element' class.
`static int` `ISERVICE_ENDPOINT_INTERFACE` The meta object id for the '`IService Endpoint Interface`' class.
`static int` `ISERVICE_ENDPOINT_INTERFACE__IMPLEMENTATION` The feature id for the 'Implementation' attribute.
`static int` `ISERVICE_ENDPOINT_INTERFACE__IMPLEMENTING_WEB_SERVICES` The feature id for the 'Implementing Web Services' reference list.
`static int` `ISERVICE_ENDPOINT_INTERFACE__IMPLICIT` The feature id for the 'Implicit' attribute.
`static int` `ISERVICE_ENDPOINT_INTERFACE__NAME` The feature id for the 'Name' attribute.
`static int` `ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_PARAMETER_STYLE` The feature id for the 'Soap Binding Parameter Style' attribute.
`static int` `ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_STYLE` The feature id for the 'Soap Binding Style' attribute.
`static int` `ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_USE` The feature id for the 'Soap Binding Use' attribute.
`static int` `ISERVICE_ENDPOINT_INTERFACE__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute.
`static int` `ISERVICE_ENDPOINT_INTERFACE__WEB_METHODS` The feature id for the 'Web Methods' containment reference list.
`static int` `ISERVICE_ENDPOINT_INTERFACE_FEATURE_COUNT` The number of structural features of the 'IService Endpoint Interface' class.
`static int` `IWEB_METHOD` The meta object id for the '`IWeb Method`' class.
`static int` `IWEB_METHOD__EXCLUDED` The feature id for the 'Excluded' attribute.
`static int` `IWEB_METHOD__IMPLEMENTATION` The feature id for the 'Implementation' attribute.
`static int` `IWEB_METHOD__NAME` The feature id for the 'Name' attribute.
`static int` `IWEB_METHOD__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `IWEB_METHOD__SOAP_BINDING_PARAMETER_STYLE` The feature id for the 'Soap Binding Parameter Style' attribute.
`static int` `IWEB_METHOD__SOAP_BINDING_STYLE` The feature id for the 'Soap Binding Style' attribute.
`static int` `IWEB_METHOD__SOAP_BINDING_USE` The feature id for the 'Soap Binding Use' attribute.
`static int` `IWEB_METHOD_FEATURE_COUNT` The number of structural features of the 'IWeb Method' class.
`static int` `IWEB_PARAM` The meta object id for the '`IWeb Param`' class.
`static int` `IWEB_PARAM__HEADER` The feature id for the 'Header' attribute.
`static int` `IWEB_PARAM__IMPLEMENTATION` The feature id for the 'Implementation' attribute.
`static int` `IWEB_PARAM__KIND` The feature id for the 'Kind' attribute.
`static int` `IWEB_PARAM__NAME` The feature id for the 'Name' attribute.
`static int` `IWEB_PARAM__PART_NAME` The feature id for the 'Part Name' attribute.
`static int` `IWEB_PARAM__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute.
`static int` `IWEB_PARAM__TYPE_NAME` The feature id for the 'Type Name' attribute.
`static int` `IWEB_PARAM_FEATURE_COUNT` The number of structural features of the 'IWeb Param' class.
`static int` `IWEB_SERVICE` The meta object id for the '`IWeb Service`' class.
`static int` `IWEB_SERVICE__IMPLEMENTATION` The feature id for the 'Implementation' attribute.
`static int` `IWEB_SERVICE__NAME` The feature id for the 'Name' attribute.
`static int` `IWEB_SERVICE__PORT_NAME` The feature id for the 'Port Name' attribute.
`static int` `IWEB_SERVICE__SERVICE_ENDPOINT` The feature id for the 'Service Endpoint' reference.
`static int` `IWEB_SERVICE__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute.
`static int` `IWEB_SERVICE__WSDL_LOCATION` The feature id for the 'Wsdl Location' attribute.
`static int` `IWEB_SERVICE_FEATURE_COUNT` The number of structural features of the 'IWeb Service' class.
`static int` `IWEB_SERVICE_PROJECT` The meta object id for the '`IWeb Service Project`' class.
`static int` `IWEB_SERVICE_PROJECT__NAME` The feature id for the 'Name' attribute.
`static int` `IWEB_SERVICE_PROJECT__SERVICE_ENDPOINT_INTERFACES` The feature id for the 'Service Endpoint Interfaces' containment reference list.
`static int` `IWEB_SERVICE_PROJECT__WEB_SERVICES` The feature id for the 'Web Services' containment reference list.
`static int` `IWEB_SERVICE_PROJECT_FEATURE_COUNT` The number of structural features of the 'IWeb Service Project' class.
`static int` `IWEB_TYPE` The meta object id for the '`IWeb Type`' class.
`static int` `IWEB_TYPE__IMPLEMENTATION` The feature id for the 'Implementation' attribute.
`static int` `IWEB_TYPE__NAME` The feature id for the 'Name' attribute.
`static int` `IWEB_TYPE_FEATURE_COUNT` The number of structural features of the 'IWeb Type' class.
`static int` `SOAP_BINDING_PARAMETER_STYLE` The meta object id for the '`SOAP Binding Parameter Style`' enum.
`static int` `SOAP_BINDING_STYLE` The meta object id for the '`SOAP Binding Style`' enum.
`static int` `SOAP_BINDING_USE` The meta object id for the '`SOAP Binding Use`' enum.
`static int` `WEB_PARAM_KIND` The meta object id for the '`Web Param Kind`' enum.

Method Summary
`DomFactory` `getDomFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` `getIDOM_WebServiceProjects()` Returns the meta object for the containment reference list '`Web Service Projects`'.
`org.eclipse.emf.ecore.EClass` `getIDOM()` Returns the meta object for class '`IDOM`'.
`org.eclipse.emf.ecore.EAttribute` `getIJavaWebServiceElement_Implementation()` Returns the meta object for the attribute '`Implementation`'.
`org.eclipse.emf.ecore.EAttribute` `getIJavaWebServiceElement_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass` `getIJavaWebServiceElement()` Returns the meta object for class '`IJava Web Service Element`'.
`org.eclipse.emf.ecore.EReference` `getIServiceEndpointInterface_ImplementingWebServices()` Returns the meta object for the reference list '`Implementing Web Services`'.
`org.eclipse.emf.ecore.EAttribute` `getIServiceEndpointInterface_Implicit()` Returns the meta object for the attribute '`Implicit`'.
`org.eclipse.emf.ecore.EAttribute` `getIServiceEndpointInterface_SoapBindingParameterStyle()` Returns the meta object for the attribute '`Soap Binding Parameter Style`'.
`org.eclipse.emf.ecore.EAttribute` `getIServiceEndpointInterface_SoapBindingStyle()` Returns the meta object for the attribute '`Soap Binding Style`'.
`org.eclipse.emf.ecore.EAttribute` `getIServiceEndpointInterface_SoapBindingUse()` Returns the meta object for the attribute '`Soap Binding Use`'.
`org.eclipse.emf.ecore.EAttribute` `getIServiceEndpointInterface_TargetNamespace()` Returns the meta object for the attribute '`Target Namespace`'.
`org.eclipse.emf.ecore.EReference` `getIServiceEndpointInterface_WebMethods()` Returns the meta object for the containment reference list '`Web Methods`'.
`org.eclipse.emf.ecore.EClass` `getIServiceEndpointInterface()` Returns the meta object for class '`IService Endpoint Interface`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebMethod_Excluded()` Returns the meta object for the attribute '`Excluded`'.
`org.eclipse.emf.ecore.EReference` `getIWebMethod_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebMethod_SoapBindingParameterStyle()` Returns the meta object for the attribute '`Soap Binding Parameter Style`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebMethod_SoapBindingStyle()` Returns the meta object for the attribute '`Soap Binding Style`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebMethod_SoapBindingUse()` Returns the meta object for the attribute '`Soap Binding Use`'.
`org.eclipse.emf.ecore.EClass` `getIWebMethod()` Returns the meta object for class '`IWeb Method`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebParam_Header()` Returns the meta object for the attribute '`Header`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebParam_Kind()` Returns the meta object for the attribute '`Kind`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebParam_PartName()` Returns the meta object for the attribute '`Part Name`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebParam_TargetNamespace()` Returns the meta object for the attribute '`Target Namespace`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebParam_TypeName()` Returns the meta object for the attribute '`Type Name`'.
`org.eclipse.emf.ecore.EClass` `getIWebParam()` Returns the meta object for class '`IWeb Param`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebService_PortName()` Returns the meta object for the attribute '`Port Name`'.
`org.eclipse.emf.ecore.EReference` `getIWebService_ServiceEndpoint()` Returns the meta object for the reference '`Service Endpoint`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebService_TargetNamespace()` Returns the meta object for the attribute '`Target Namespace`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebService_WsdlLocation()` Returns the meta object for the attribute '`Wsdl Location`'.
`org.eclipse.emf.ecore.EClass` `getIWebService()` Returns the meta object for class '`IWeb Service`'.
`org.eclipse.emf.ecore.EAttribute` `getIWebServiceProject_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` `getIWebServiceProject_ServiceEndpointInterfaces()` Returns the meta object for the containment reference list '`Service Endpoint Interfaces`'.
`org.eclipse.emf.ecore.EReference` `getIWebServiceProject_WebServices()` Returns the meta object for the containment reference list '`Web Services`'.
`org.eclipse.emf.ecore.EClass` `getIWebServiceProject()` Returns the meta object for class '`IWeb Service Project`'.
`org.eclipse.emf.ecore.EClass` `getIWebType()` Returns the meta object for class '`IWeb Type`'.
`org.eclipse.emf.ecore.EEnum` `getSOAPBindingParameterStyle()` Returns the meta object for enum '`SOAP Binding Parameter Style`'.
`org.eclipse.emf.ecore.EEnum` `getSOAPBindingStyle()` Returns the meta object for enum '`SOAP Binding Style`'.
`org.eclipse.emf.ecore.EEnum` `getSOAPBindingUse()` Returns the meta object for enum '`SOAP Binding Use`'.
`org.eclipse.emf.ecore.EEnum` `getWebParamKind()` Returns the meta object for enum '`Web Param Kind`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final DomPackage eINSTANCE

  The singleton instance of the package.

### IDOM

    static final int IDOM

  The meta object id for the '`IDOM`' class.

  See Also:
    `IDOMImpl`, `DomPackageImpl.getIDOM()`, Constant Field Values

### IDOM__WEB_SERVICE_PROJECTS

    static final int IDOM__WEB_SERVICE_PROJECTS

  The feature id for the 'Web Service Projects' containment reference list.

  See Also:
    Constant Field Values

### IDOM_FEATURE_COUNT

    static final int IDOM_FEATURE_COUNT

  The number of structural features of the 'IDOM' class.

  See Also:
    Constant Field Values

### IJAVA_WEB_SERVICE_ELEMENT

    static final int IJAVA_WEB_SERVICE_ELEMENT

  The meta object id for the '`IJava Web Service Element`' class.

  See Also:
    `IJavaWebServiceElementImpl`, `DomPackageImpl.getIJavaWebServiceElement()`, Constant Field Values

### IJAVA_WEB_SERVICE_ELEMENT__IMPLEMENTATION

    static final int IJAVA_WEB_SERVICE_ELEMENT__IMPLEMENTATION

  The feature id for the 'Implementation' attribute.

  See Also:
    Constant Field Values

### IJAVA_WEB_SERVICE_ELEMENT__NAME

    static final int IJAVA_WEB_SERVICE_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IJAVA_WEB_SERVICE_ELEMENT_FEATURE_COUNT

    static final int IJAVA_WEB_SERVICE_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'IJava Web Service Element' class.

  See Also:
    Constant Field Values

### ISERVICE_ENDPOINT_INTERFACE

    static final int ISERVICE_ENDPOINT_INTERFACE

  The meta object id for the '`IService Endpoint Interface`' class.

  See Also:
    `IServiceEndpointInterfaceImpl`, `DomPackageImpl.getIServiceEndpointInterface()`, Constant Field Values

### ISERVICE_ENDPOINT_INTERFACE__IMPLEMENTATION

    static final int ISERVICE_ENDPOINT_INTERFACE__IMPLEMENTATION

  The feature id for the 'Implementation' attribute.

  See Also:
    Constant Field Values

### ISERVICE_ENDPOINT_INTERFACE__NAME

    static final int ISERVICE_ENDPOINT_INTERFACE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ISERVICE_ENDPOINT_INTERFACE__IMPLICIT

    static final int ISERVICE_ENDPOINT_INTERFACE__IMPLICIT

  The feature id for the 'Implicit' attribute.

  See Also:
    Constant Field Values

### ISERVICE_ENDPOINT_INTERFACE__IMPLEMENTING_WEB_SERVICES

    static final int ISERVICE_ENDPOINT_INTERFACE__IMPLEMENTING_WEB_SERVICES

  The feature id for the 'Implementing Web Services' reference list.

  See Also:
    Constant Field Values

### ISERVICE_ENDPOINT_INTERFACE__WEB_METHODS

    static final int ISERVICE_ENDPOINT_INTERFACE__WEB_METHODS

  The feature id for the 'Web Methods' containment reference list.

  See Also:
    Constant Field Values

### ISERVICE_ENDPOINT_INTERFACE__TARGET_NAMESPACE

    static final int ISERVICE_ENDPOINT_INTERFACE__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_STYLE

    static final int ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_STYLE

  The feature id for the 'Soap Binding Style' attribute.

  See Also:
    Constant Field Values

### ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_USE

    static final int ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_USE

  The feature id for the 'Soap Binding Use' attribute.

  See Also:
    Constant Field Values

### ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_PARAMETER_STYLE

    static final int ISERVICE_ENDPOINT_INTERFACE__SOAP_BINDING_PARAMETER_STYLE

  The feature id for the 'Soap Binding Parameter Style' attribute.

  See Also:
    Constant Field Values

### ISERVICE_ENDPOINT_INTERFACE_FEATURE_COUNT

    static final int ISERVICE_ENDPOINT_INTERFACE_FEATURE_COUNT

  The number of structural features of the 'IService Endpoint Interface' class.

  See Also:
    Constant Field Values

### IWEB_METHOD

    static final int IWEB_METHOD

  The meta object id for the '`IWeb Method`' class.

  See Also:
    `IWebMethodImpl`, `DomPackageImpl.getIWebMethod()`, Constant Field Values

### IWEB_METHOD__IMPLEMENTATION

    static final int IWEB_METHOD__IMPLEMENTATION

  The feature id for the 'Implementation' attribute.

  See Also:
    Constant Field Values

### IWEB_METHOD__NAME

    static final int IWEB_METHOD__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IWEB_METHOD__PARAMETERS

    static final int IWEB_METHOD__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### IWEB_METHOD__EXCLUDED

    static final int IWEB_METHOD__EXCLUDED

  The feature id for the 'Excluded' attribute.

  See Also:
    Constant Field Values

### IWEB_METHOD__SOAP_BINDING_STYLE

    static final int IWEB_METHOD__SOAP_BINDING_STYLE

  The feature id for the 'Soap Binding Style' attribute.

  See Also:
    Constant Field Values

### IWEB_METHOD__SOAP_BINDING_USE

    static final int IWEB_METHOD__SOAP_BINDING_USE

  The feature id for the 'Soap Binding Use' attribute.

  See Also:
    Constant Field Values

### IWEB_METHOD__SOAP_BINDING_PARAMETER_STYLE

    static final int IWEB_METHOD__SOAP_BINDING_PARAMETER_STYLE

  The feature id for the 'Soap Binding Parameter Style' attribute.

  See Also:
    Constant Field Values

### IWEB_METHOD_FEATURE_COUNT

    static final int IWEB_METHOD_FEATURE_COUNT

  The number of structural features of the 'IWeb Method' class.

  See Also:
    Constant Field Values

### IWEB_PARAM

    static final int IWEB_PARAM

  The meta object id for the '`IWeb Param`' class.

  See Also:
    `IWebParamImpl`, `DomPackageImpl.getIWebParam()`, Constant Field Values

### IWEB_PARAM__IMPLEMENTATION

    static final int IWEB_PARAM__IMPLEMENTATION

  The feature id for the 'Implementation' attribute.

  See Also:
    Constant Field Values

### IWEB_PARAM__NAME

    static final int IWEB_PARAM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IWEB_PARAM__KIND

    static final int IWEB_PARAM__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### IWEB_PARAM__TYPE_NAME

    static final int IWEB_PARAM__TYPE_NAME

  The feature id for the 'Type Name' attribute.

  See Also:
    Constant Field Values

### IWEB_PARAM__PART_NAME

    static final int IWEB_PARAM__PART_NAME

  The feature id for the 'Part Name' attribute.

  See Also:
    Constant Field Values

### IWEB_PARAM__TARGET_NAMESPACE

    static final int IWEB_PARAM__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### IWEB_PARAM__HEADER

    static final int IWEB_PARAM__HEADER

  The feature id for the 'Header' attribute.

  See Also:
    Constant Field Values

### IWEB_PARAM_FEATURE_COUNT

    static final int IWEB_PARAM_FEATURE_COUNT

  The number of structural features of the 'IWeb Param' class.

  See Also:
    Constant Field Values

### IWEB_SERVICE

    static final int IWEB_SERVICE

  The meta object id for the '`IWeb Service`' class.

  See Also:
    `IWebServiceImpl`, `DomPackageImpl.getIWebService()`, Constant Field Values

### IWEB_SERVICE__IMPLEMENTATION

    static final int IWEB_SERVICE__IMPLEMENTATION

  The feature id for the 'Implementation' attribute.

  See Also:
    Constant Field Values

### IWEB_SERVICE__NAME

    static final int IWEB_SERVICE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IWEB_SERVICE__SERVICE_ENDPOINT

    static final int IWEB_SERVICE__SERVICE_ENDPOINT

  The feature id for the 'Service Endpoint' reference.

  See Also:
    Constant Field Values

### IWEB_SERVICE__TARGET_NAMESPACE

    static final int IWEB_SERVICE__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### IWEB_SERVICE__PORT_NAME

    static final int IWEB_SERVICE__PORT_NAME

  The feature id for the 'Port Name' attribute.

  See Also:
    Constant Field Values

### IWEB_SERVICE__WSDL_LOCATION

    static final int IWEB_SERVICE__WSDL_LOCATION

  The feature id for the 'Wsdl Location' attribute.

  See Also:
    Constant Field Values

### IWEB_SERVICE_FEATURE_COUNT

    static final int IWEB_SERVICE_FEATURE_COUNT

  The number of structural features of the 'IWeb Service' class.

  See Also:
    Constant Field Values

### IWEB_SERVICE_PROJECT

    static final int IWEB_SERVICE_PROJECT

  The meta object id for the '`IWeb Service Project`' class.

  See Also:
    `IWebServiceProjectImpl`, `DomPackageImpl.getIWebServiceProject()`, Constant Field Values

### IWEB_SERVICE_PROJECT__WEB_SERVICES

    static final int IWEB_SERVICE_PROJECT__WEB_SERVICES

  The feature id for the 'Web Services' containment reference list.

  See Also:
    Constant Field Values

### IWEB_SERVICE_PROJECT__SERVICE_ENDPOINT_INTERFACES

    static final int IWEB_SERVICE_PROJECT__SERVICE_ENDPOINT_INTERFACES

  The feature id for the 'Service Endpoint Interfaces' containment reference list.

  See Also:
    Constant Field Values

### IWEB_SERVICE_PROJECT__NAME

    static final int IWEB_SERVICE_PROJECT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IWEB_SERVICE_PROJECT_FEATURE_COUNT

    static final int IWEB_SERVICE_PROJECT_FEATURE_COUNT

  The number of structural features of the 'IWeb Service Project' class.

  See Also:
    Constant Field Values

### IWEB_TYPE

    static final int IWEB_TYPE

  The meta object id for the '`IWeb Type`' class.

  See Also:
    `IWebTypeImpl`, `DomPackageImpl.getIWebType()`, Constant Field Values

### IWEB_TYPE__IMPLEMENTATION

    static final int IWEB_TYPE__IMPLEMENTATION

  The feature id for the 'Implementation' attribute.

  See Also:
    Constant Field Values

### IWEB_TYPE__NAME

    static final int IWEB_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IWEB_TYPE_FEATURE_COUNT

    static final int IWEB_TYPE_FEATURE_COUNT

  The number of structural features of the 'IWeb Type' class.

  See Also:
    Constant Field Values

### WEB_PARAM_KIND

    static final int WEB_PARAM_KIND

  The meta object id for the '`Web Param Kind`' enum.

  See Also:
    `WebParamKind`, `DomPackageImpl.getWebParamKind()`, Constant Field Values

### SOAP_BINDING_STYLE

    static final int SOAP_BINDING_STYLE

  The meta object id for the '`SOAP Binding Style`' enum.

  See Also:
    `SOAPBindingStyle`, `DomPackageImpl.getSOAPBindingStyle()`, Constant Field Values

### SOAP_BINDING_USE

    static final int SOAP_BINDING_USE

  The meta object id for the '`SOAP Binding Use`' enum.

  See Also:
    `SOAPBindingUse`, `DomPackageImpl.getSOAPBindingUse()`, Constant Field Values

### SOAP_BINDING_PARAMETER_STYLE

    static final int SOAP_BINDING_PARAMETER_STYLE

  The meta object id for the '`SOAP Binding Parameter Style`' enum.

  See Also:
    `SOAPBindingParameterStyle`, `DomPackageImpl.getSOAPBindingParameterStyle()`, Constant Field Values

Method Detail

### getIDOM

    org.eclipse.emf.ecore.EClass getIDOM()

  Returns the meta object for class '`IDOM`'.

  Returns:
    the meta object for class 'IDOM'.
  See Also:
    `IDOM`

### getIDOM_WebServiceProjects

    org.eclipse.emf.ecore.EReference getIDOM_WebServiceProjects()

  Returns the meta object for the containment reference list '`Web Service Projects`'.

  Returns:
    the meta object for the containment reference list 'Web Service Projects'.
  See Also:
    `IDOM.getWebServiceProjects()`, `getIDOM()`

### getIJavaWebServiceElement

    org.eclipse.emf.ecore.EClass getIJavaWebServiceElement()

  Returns the meta object for class '`IJava Web Service Element`'.

  Returns:
    the meta object for class 'IJava Web Service Element'.
  See Also:
    `IJavaWebServiceElement`

### getIJavaWebServiceElement_Implementation

    org.eclipse.emf.ecore.EAttribute getIJavaWebServiceElement_Implementation()

  Returns the meta object for the attribute '`Implementation`'.

  Returns:
    the meta object for the attribute 'Implementation'.
  See Also:
    `IJavaWebServiceElement.getImplementation()`, `getIJavaWebServiceElement()`

### getIJavaWebServiceElement_Name

    org.eclipse.emf.ecore.EAttribute getIJavaWebServiceElement_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `IJavaWebServiceElement.getName()`, `getIJavaWebServiceElement()`

### getIServiceEndpointInterface

    org.eclipse.emf.ecore.EClass getIServiceEndpointInterface()

  Returns the meta object for class '`IService Endpoint Interface`'.

  Returns:
    the meta object for class 'IService Endpoint Interface'.
  See Also:
    `IServiceEndpointInterface`

### getIServiceEndpointInterface_Implicit

    org.eclipse.emf.ecore.EAttribute getIServiceEndpointInterface_Implicit()

  Returns the meta object for the attribute '`Implicit`'.

  Returns:
    the meta object for the attribute 'Implicit'.
  See Also:
    `IServiceEndpointInterface.isImplicit()`, `getIServiceEndpointInterface()`

### getIServiceEndpointInterface_ImplementingWebServices

    org.eclipse.emf.ecore.EReference getIServiceEndpointInterface_ImplementingWebServices()

  Returns the meta object for the reference list '`Implementing Web Services`'.

  Returns:
    the meta object for the reference list 'Implementing Web Services'.
  See Also:
    `IServiceEndpointInterface.getImplementingWebServices()`, `getIServiceEndpointInterface()`

### getIServiceEndpointInterface_WebMethods

    org.eclipse.emf.ecore.EReference getIServiceEndpointInterface_WebMethods()

  Returns the meta object for the containment reference list '`Web Methods`'.

  Returns:
    the meta object for the containment reference list 'Web Methods'.
  See Also:
    `IServiceEndpointInterface.getWebMethods()`, `getIServiceEndpointInterface()`

### getIServiceEndpointInterface_TargetNamespace

    org.eclipse.emf.ecore.EAttribute getIServiceEndpointInterface_TargetNamespace()

  Returns the meta object for the attribute '`Target Namespace`'.

  Returns:
    the meta object for the attribute 'Target Namespace'.
  See Also:
    `IServiceEndpointInterface.getTargetNamespace()`, `getIServiceEndpointInterface()`

### getIServiceEndpointInterface_SoapBindingStyle

    org.eclipse.emf.ecore.EAttribute getIServiceEndpointInterface_SoapBindingStyle()

  Returns the meta object for the attribute '`Soap Binding Style`'.

  Returns:
    the meta object for the attribute 'Soap Binding Style'.
  See Also:
    `IServiceEndpointInterface.getSoapBindingStyle()`, `getIServiceEndpointInterface()`

### getIServiceEndpointInterface_SoapBindingUse

    org.eclipse.emf.ecore.EAttribute getIServiceEndpointInterface_SoapBindingUse()

  Returns the meta object for the attribute '`Soap Binding Use`'.

  Returns:
    the meta object for the attribute 'Soap Binding Use'.
  See Also:
    `IServiceEndpointInterface.getSoapBindingUse()`, `getIServiceEndpointInterface()`

### getIServiceEndpointInterface_SoapBindingParameterStyle

    org.eclipse.emf.ecore.EAttribute getIServiceEndpointInterface_SoapBindingParameterStyle()

  Returns the meta object for the attribute '`Soap Binding Parameter Style`'.

  Returns:
    the meta object for the attribute 'Soap Binding Parameter Style'.
  See Also:
    `IServiceEndpointInterface.getSoapBindingParameterStyle()`, `getIServiceEndpointInterface()`

### getIWebMethod

    org.eclipse.emf.ecore.EClass getIWebMethod()

  Returns the meta object for class '`IWeb Method`'.

  Returns:
    the meta object for class 'IWeb Method'.
  See Also:
    `IWebMethod`

### getIWebMethod_Parameters

    org.eclipse.emf.ecore.EReference getIWebMethod_Parameters()

  Returns the meta object for the containment reference list '`Parameters`'.

  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `IWebMethod.getParameters()`, `getIWebMethod()`

### getIWebMethod_Excluded

    org.eclipse.emf.ecore.EAttribute getIWebMethod_Excluded()

  Returns the meta object for the attribute '`Excluded`'.

  Returns:
    the meta object for the attribute 'Excluded'.
  See Also:
    `IWebMethod.isExcluded()`, `getIWebMethod()`

### getIWebMethod_SoapBindingStyle

    org.eclipse.emf.ecore.EAttribute getIWebMethod_SoapBindingStyle()

  Returns the meta object for the attribute '`Soap Binding Style`'.

  Returns:
    the meta object for the attribute 'Soap Binding Style'.
  See Also:
    `IWebMethod.getSoapBindingStyle()`, `getIWebMethod()`

### getIWebMethod_SoapBindingUse

    org.eclipse.emf.ecore.EAttribute getIWebMethod_SoapBindingUse()

  Returns the meta object for the attribute '`Soap Binding Use`'.

  Returns:
    the meta object for the attribute 'Soap Binding Use'.
  See Also:
    `IWebMethod.getSoapBindingUse()`, `getIWebMethod()`

### getIWebMethod_SoapBindingParameterStyle

    org.eclipse.emf.ecore.EAttribute getIWebMethod_SoapBindingParameterStyle()

  Returns the meta object for the attribute '`Soap Binding Parameter Style`'.

  Returns:
    the meta object for the attribute 'Soap Binding Parameter Style'.
  See Also:
    `IWebMethod.getSoapBindingParameterStyle()`, `getIWebMethod()`

### getIWebParam

    org.eclipse.emf.ecore.EClass getIWebParam()

  Returns the meta object for class '`IWeb Param`'.

  Returns:
    the meta object for class 'IWeb Param'.
  See Also:
    `IWebParam`

### getIWebParam_Kind

    org.eclipse.emf.ecore.EAttribute getIWebParam_Kind()

  Returns the meta object for the attribute '`Kind`'.

  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `IWebParam.getKind()`, `getIWebParam()`

### getIWebParam_TypeName

    org.eclipse.emf.ecore.EAttribute getIWebParam_TypeName()

  Returns the meta object for the attribute '`Type Name`'.

  Returns:
    the meta object for the attribute 'Type Name'.
  See Also:
    `IWebParam.getTypeName()`, `getIWebParam()`

### getIWebParam_PartName

    org.eclipse.emf.ecore.EAttribute getIWebParam_PartName()

  Returns the meta object for the attribute '`Part Name`'.

  Returns:
    the meta object for the attribute 'Part Name'.
  See Also:
    `IWebParam.getPartName()`, `getIWebParam()`

### getIWebParam_TargetNamespace

    org.eclipse.emf.ecore.EAttribute getIWebParam_TargetNamespace()

  Returns the meta object for the attribute '`Target Namespace`'.

  Returns:
    the meta object for the attribute 'Target Namespace'.
  See Also:
    `IWebParam.getTargetNamespace()`, `getIWebParam()`

### getIWebParam_Header

    org.eclipse.emf.ecore.EAttribute getIWebParam_Header()

  Returns the meta object for the attribute '`Header`'.

  Returns:
    the meta object for the attribute 'Header'.
  See Also:
    `IWebParam.isHeader()`, `getIWebParam()`

### getIWebService

    org.eclipse.emf.ecore.EClass getIWebService()

  Returns the meta object for class '`IWeb Service`'.

  Returns:
    the meta object for class 'IWeb Service'.
  See Also:
    `IWebService`

### getIWebService_ServiceEndpoint

    org.eclipse.emf.ecore.EReference getIWebService_ServiceEndpoint()

  Returns the meta object for the reference '`Service Endpoint`'.

  Returns:
    the meta object for the reference 'Service Endpoint'.
  See Also:
    `IWebService.getServiceEndpoint()`, `getIWebService()`

### getIWebService_TargetNamespace

    org.eclipse.emf.ecore.EAttribute getIWebService_TargetNamespace()

  Returns the meta object for the attribute '`Target Namespace`'.

  Returns:
    the meta object for the attribute 'Target Namespace'.
  See Also:
    `IWebService.getTargetNamespace()`, `getIWebService()`

### getIWebService_PortName

    org.eclipse.emf.ecore.EAttribute getIWebService_PortName()

  Returns the meta object for the attribute '`Port Name`'.

  Returns:
    the meta object for the attribute 'Port Name'.
  See Also:
    `IWebService.getPortName()`, `getIWebService()`

### getIWebService_WsdlLocation

    org.eclipse.emf.ecore.EAttribute getIWebService_WsdlLocation()

  Returns the meta object for the attribute '`Wsdl Location`'.

  Returns:
    the meta object for the attribute 'Wsdl Location'.
  See Also:
    `IWebService.getWsdlLocation()`, `getIWebService()`

### getIWebServiceProject

    org.eclipse.emf.ecore.EClass getIWebServiceProject()

  Returns the meta object for class '`IWeb Service Project`'.

  Returns:
    the meta object for class 'IWeb Service Project'.
  See Also:
    `IWebServiceProject`

### getIWebServiceProject_WebServices

    org.eclipse.emf.ecore.EReference getIWebServiceProject_WebServices()

  Returns the meta object for the containment reference list '`Web Services`'.

  Returns:
    the meta object for the containment reference list 'Web Services'.
  See Also:
    `IWebServiceProject.getWebServices()`, `getIWebServiceProject()`

### getIWebServiceProject_ServiceEndpointInterfaces

    org.eclipse.emf.ecore.EReference getIWebServiceProject_ServiceEndpointInterfaces()

  Returns the meta object for the containment reference list '`Service Endpoint Interfaces`'.

  Returns:
    the meta object for the containment reference list 'Service Endpoint Interfaces'.
  See Also:
    `IWebServiceProject.getServiceEndpointInterfaces()`, `getIWebServiceProject()`

### getIWebServiceProject_Name

    org.eclipse.emf.ecore.EAttribute getIWebServiceProject_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `IWebServiceProject.getName()`, `getIWebServiceProject()`

### getIWebType

    org.eclipse.emf.ecore.EClass getIWebType()

  Returns the meta object for class '`IWeb Type`'.

  Returns:
    the meta object for class 'IWeb Type'.
  See Also:
    `IWebType`

### getWebParamKind

    org.eclipse.emf.ecore.EEnum getWebParamKind()

  Returns the meta object for enum '`Web Param Kind`'.

  Returns:
    the meta object for enum 'Web Param Kind'.
  See Also:
    `WebParamKind`

### getSOAPBindingStyle

    org.eclipse.emf.ecore.EEnum getSOAPBindingStyle()

  Returns the meta object for enum '`SOAP Binding Style`'.

  Returns:
    the meta object for enum 'SOAP Binding Style'.
  See Also:
    `SOAPBindingStyle`

### getSOAPBindingUse

    org.eclipse.emf.ecore.EEnum getSOAPBindingUse()

  Returns the meta object for enum '`SOAP Binding Use`'.

  Returns:
    the meta object for enum 'SOAP Binding Use'.
  See Also:
    `SOAPBindingUse`

### getSOAPBindingParameterStyle

    org.eclipse.emf.ecore.EEnum getSOAPBindingParameterStyle()

  Returns the meta object for enum '`SOAP Binding Parameter Style`'.

  Returns:
    the meta object for enum 'SOAP Binding Parameter Style'.
  See Also:
    `SOAPBindingParameterStyle`

### getDomFactory

    DomFactory getDomFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.